summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/go-module.eclass')
-rw-r--r--eclass/go-module.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/go-module.eclass b/eclass/go-module.eclass
index 7b66c3e2b1ed..c9a7ab12eaf0 100644
--- a/eclass/go-module.eclass
+++ b/eclass/go-module.eclass
@@ -338,7 +338,7 @@ _go-module_src_unpack_verify_gosum() {
die "go-module_set_globals must be called in global scope"
fi
- cd "${S}"
+ cd "${S}" || die "cd failed"
# Cleanup the modules before starting anything else
# This will print 'downloading' messages, but it's accessing content from